'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var umi = require('@metaplex-foundation/umi');

class WalletAdaptersError extends umi.UmiError {
  name = 'WalletAdaptersError';
  constructor(message, cause) {
    super(message, 'plugin', 'Wallet Adapters', cause);
  }
}
class UninitializedWalletAdapterError extends WalletAdaptersError {
  name = 'UninitializedWalletAdapterError';
  constructor() {
    const message = `The current wallet adapter is not initialized. ` + 'You likely have selected a wallet adapter but forgot to initialize it. ' + 'You may do this by running the following asynchronous method: "wallet.connect();".';
    super(message);
  }
}
class OperationNotSupportedByWalletAdapterError extends WalletAdaptersError {
  name = 'OperationNotSupportedByWalletAdapterError';
  constructor(operation) {
    const message = `The current wallet adapter does not support the following operation: [${operation}]. ` + 'Ensure your wallet is connected using a compatible wallet adapter.';
    super(message);
  }
}

exports.OperationNotSupportedByWalletAdapterError = OperationNotSupportedByWalletAdapterError;
exports.UninitializedWalletAdapterError = UninitializedWalletAdapterError;
exports.WalletAdaptersError = WalletAdaptersError;
//# sourceMappingURL=errors.cjs.map
